unit Profs;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls, ImgList, msxml, common;

type
  TfProfs = class(TForm)
    LProfs: TListView;
    Panel1: TPanel;
    BOK: TBitBtn;
    BCancel: TBitBtn;
    TN: TImageList;
    procedure FormShow(Sender: TObject);
    procedure BCancelClick(Sender: TObject);
    procedure BOKClick(Sender: TObject);
    procedure LProfsDblClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    Prof: string; 
    ProfOk: boolean;
  end;

var
  fProfs: TfProfs;

implementation

uses Main, params;

{$R *.dfm}

procedure TfProfs.BCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TfProfs.BOKClick(Sender: TObject);
begin
  if LProfs.ItemIndex>=0 then
    Self.Prof := GetProfByName(LPRofs.Items[LProfs.ItemIndex].Caption)
  else
    Self.Prof := 'X';
  ProfOk := true;
  Close;
end;

procedure TfProfs.FormShow(Sender: TObject);
var
  items : ixmldomnodelist;
  i:integer;
  ListAjout : TListItem;
  abbr : string;
begin
  ProfOk := false;
  self.Caption := GetLangItem('professions');
  BCancel.Caption := GetLangItem('cancel');
  LProfs.Columns.Items[0].Caption := GetLangItem('nom');
  LProfs.Clear;
  TN.Clear;
  items := GetProfessions;
  for I := 0 to items.length - 1 do begin
    abbr := profession_get_abbr(items[i]);
    if abbr='?' then abbr := 'X';         
    if abbr='' then abbr := 'X';    
    ListAjout := LProfs.Items.Add;
    ListAjout.Caption := profession_get_nom(items[i]);
    ImageListAdd(TN, HomeDir+'img\'+abbr+'.png');
    listajout.ImageIndex := TN.Count-1;
  end;
end;

procedure TfProfs.LProfsDblClick(Sender: TObject);
begin       
  if LProfs.ItemIndex>=0 then BOKClick(BOK);

end;

end.
