unit BinDump;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, utemplate, common;

type
  TfBinDump = class(TForm)
    LBinDump: TListView;
    procedure FormShow(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    GWTemplate: TTemplate;
  end;

var
  fBinDump: TfBinDump;

implementation

{$R *.dfm}

procedure TfBinDump.FormShow(Sender: TObject);
var
  rows : tstringlist;
  row : tlistitem;
  i, n : integer;
  s : string;
begin
  rows := tstringlist.Create;
  rows.LineBreak:= #13#10;
  rows.Sorted:= false;
  rows.Text:= StrReplace(gwtemplate.BinDump, ',', rows.LineBreak);
  lbindump.Clear;
//  showmessage(gwtemplate.BinDump);
  n := 4;
  for I := 0 to ToInt(rows.Count/n)-1 do begin
    row:= lbindump.Items.Add;
    row.Caption := rows.Strings[i*n];
    row.SubItems.Add(rows.Strings[i*n+1]);
    row.SubItems.Add(rows.Strings[i*n+2]);
    row.SubItems.Add(rows.Strings[i*n+3]);
  end;
  rows.Free;
end;

end.
